aboutsummaryrefslogtreecommitdiffstats
path: root/bin/dev
diff options
context:
space:
mode:
Diffstat (limited to 'bin/dev')
-rwxr-xr-xbin/dev16
1 files changed, 16 insertions, 0 deletions
diff --git a/bin/dev b/bin/dev
new file mode 100755
index 0000000..ad72c7d
--- /dev/null
+++ b/bin/dev
@@ -0,0 +1,16 @@
+#!/usr/bin/env sh
+
+if ! gem list foreman -i --silent; then
+ echo "Installing foreman..."
+ gem install foreman
+fi
+
+# Default to port 3000 if not specified
+export PORT="${PORT:-3000}"
+
+# Let the debug gem allow remote connections,
+# but avoid loading until `debugger` is called
+export RUBY_DEBUG_OPEN="true"
+export RUBY_DEBUG_LAZY="true"
+
+exec foreman start -f Procfile.dev "$@"